from setuptools import find_packages, setup

__version__ = "0.0.1"

setup(
    name="CRTL",
    version=__version__,
    description="CRTL: A Library for Concept Recognition, Tagging, and Linking",
    packages=find_packages(where="src"),
    package_dir={"": "src"},
    install_requires=[
        "nmslib@https://github.com/nmslib/nmslib/archive/refs/tags/v2.1.1.tar.gz#subdirectory=python_bindings",
        "tqdm",
        "requests",
        "boto3",
        "spacy",
        "scipy",
        "scikit-learn",
    ],
    extras_require={
        "develop": ["tox"]
    }

    
)
